#
# Conditional build:
%bcond_without	tests		# build without tests
#
Summary:	OpenGL Mathematics (GLM) - C++ mathematics library for GLSL
Summary(pl.UTF-8):	OpenGL Mathematics (GLM) - biblioteka matematyczna C++ dla GLSL
Name:		GLM
Version:	1.0.1
Release:	2
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/g-truc/glm/releases
Source0:	https://github.com/g-truc/glm/archive/%{version}/glm-%{version}.tar.gz
# Source0-md5:	f824ac50e16310a95279032f82cbd341
Patch0:		x32.patch
Patch1:		%{name}-types.patch
URL:		https://glm.g-truc.net/
BuildRequires:	cmake >= 3.6
%{?with_tests:BuildRequires:	libstdc++-devel}
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenGL Mathematics (GLM) is a C++ mathematics library for graphics
software based on the OpenGL Shading Language (GLSL) specification.

%description -l pl.UTF-8
OpenGL Mathematics (GLM) to biblioteka matematyczna C++ dla programów
graficznych opartych na specyfikacji OpenGL Shading Language (GLSL).

%package devel
Summary:	OpenGL Mathematics (GLM) - C++ mathematics library for GLSL (header files)
Summary(pl.UTF-8):	OpenGL Mathematics (GLM) - biblioteka matematyczna C++ dla GLSL (pliki nagłówkowe)
Group:		Development/Libraries
Requires:	libstdc++-devel
# no base dependency - can be used as header-only library
# not noarch due to paths in cmake configs

%description devel
OpenGL Mathematics (GLM) is a C++ mathematics library for graphics
software based on the OpenGL Shading Language (GLSL) specification.

%description devel -l pl.UTF-8
OpenGL Mathematics (GLM) to biblioteka matematyczna C++ dla programów
graficznych opartych na specyfikacji OpenGL Shading Language (GLSL).

%prep
%setup -q -n glm-%{version}
%patch0 -p1
%patch1 -p1

%build
mkdir build
cd build
# change CMAKE_INSTALL_DATAROOTDIR to arch-dependent (files contain arch-dependent libglm.so paths)
%cmake .. \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_libdir}/cmake \
	-DGLM_TEST_ENABLE:BOOL=%{!?with_tests:OFF}%{?with_tests:ON}

%{__make}

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc manual.md readme.md
%attr(755,root,root) %{_libdir}/libglm.so

%files devel
%defattr(644,root,root,755)
%doc manual.md readme.md
%{_includedir}/glm
%{_libdir}/cmake/glm
%changelog
* Thu May 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GLM.git;a=log;h=master

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> c336c0b
- release 2

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 41ff96a
- added types patch (fixes tests build on x32)

* Mon Apr 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 6a66edb
- updated to 1.0.1; now base package contains (optional) shared library, headers are in -devel

* Sat Oct 14 2023 Jan Palus <atler@pld-linux.org> 8f3f569
- disable debug packages

* Thu Oct 12 2023 Jan Palus <atler@pld-linux.org> 344ac6d
- switch to git snapshot (20230818)

* Thu Oct 12 2023 Jan Palus <atler@pld-linux.org> 681f219
- macros for %cmake

* Thu Oct 12 2023 Jan Palus <atler@pld-linux.org> 37e717f
- BR/R: libstdc++-devel

* Thu May 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 0979b4b
- updated to 0.9.9.8
- removed outdated opt patch

* Thu Mar 19 2020 Jan Rękorajski <baggins@pld-linux.org> 395fffb
- fix tests on x32

* Sun Dec 01 2019 Bartek Szady <bszx@bszx.eu> aeef72e
- updated to 0.9.9.6
- run tests if they were built

* Thu Aug 08 2019 Bartek Szady <bszx@bszx.eu> 7130496
- updated to 0.9.9.5

* Wed Mar 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 9545e30
- updated to 0.9.9.4

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 3502908
- updated to 0.9.9.3

* Sat Oct 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 1369b3b
- updated to 0.9.9.2
- updated cmake patch

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 7cf3de7
- new Source URL, updated to 0.9.9.0
- updated opt patch
- added cmake patch (don't install file to root fs on build stage)
- cmake support changed FindGLM.cmake to glm subdir
- introduced glm.pc file

* Sat May 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 72741b9
- updated to 0.9.6.3
- added opt patch (avoid adding unwanted options, incl. -m64)

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> eb3f430
- up to 0.9.5.4

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 4e88ad7
- updated to 0.9.5.2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 516635e
- pl
- allow to build with plain p7zip, using rpm4/rpm5

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> a760c65
- BR 7zip

